netabootwrap
1
netabootwrap

# netabootwrap

erzeugt netzbootbare Images für Linux/Alpha

       netabootwrap
            -t netboot.img
            -k vmlinux.gz
    	-i initrd.gz
    	-a "einige Kernelparameter"

## COPYRIGHT

netabootwrap ist (c) 2000 von Soohoon Lee soohoon.lee@api-networks.com

## BESCHREIBUNG

netabootwrap fügt `net_aboot`, den Kernel und die initrd Images zusammen, um ein netzbootbares Image für Linux/Alpha-Systeme zu erstellen. `net_aboot.nh` ist nicht funktionstüchtig, aber netabootwrap hat die volle Funktionalität. Ohne Optionen schaut es nach `vmlinux.gz` und baut `netboot.img`, das ist `net_aboot` + `vmlinux.gz`.

-t dateiname

  Setzt den Dateinamen des zu erzeugenden Netboot-Images, standardmäßig ist dies `netboot.img`. Diese Datei wird überschrieben falls sie existiert.

-k dateiname

  Setzt den Dateinamen des Kernel-Images, standardmäßig ist dies `vmlinux.gz`

-i dateiname

  Setzt den Dateinamen des anfänglichen RAM-Disk-Images, standardmäßig ist dies `initrd.gz`

-a "einige Kernelparameter"

  Stellt weitere Kerneloptionen bereit, z.B. -a "root=/dev/sda1 single"

## HINWEISE

Um das Image zu verwenden, benötigen Sie einen tftpd(8)- und einen dhcp(8)- oder bootpd(8)-Server. Weitere Details finden Sie im SRM-HOWTO: ( oder in `/usr/share/doc/aboot/SRM-HOWTO/` auf Debian GNU/Linux-Systemen (und möglicherweise auch anderen))

## AUTOR

Diese Handbuchseite wurde von Helge Kreutzmann debian@helgefjell.de für das Debian GNU/Linux-Projekt geschrieben. Sie darf auch von anderen verwendet werden.

## SIEHE AUCH

tftpd(8), dhcpd(8), bootpd(8), aboot(8), SRM-HOWTO in `/usr/share/doc/aboot/SRM-HOWTO/` oder , HP SRM Manual ()